diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/random-variable-stream-test-suite.cc ns-3.44/src/core/test/random-variable-stream-test-suite.cc
--- ns-3.43/src/core/test/random-variable-stream-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/random-variable-stream-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -42,13 +42,13 @@
 {
 
 /**
- * \file
- * \ingroup rng-tests
+ * @file
+ * @ingroup rng-tests
  * Random number generator streams tests.
  */
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Base class for RandomVariableStream test suites.
  */
 class TestCaseBase : public TestCase
@@ -63,7 +63,7 @@
 
     /**
      * Constructor
-     * \param [in] name The test case name.
+     * @param [in] name The test case name.
      */
     TestCaseBase(std::string name)
         : TestCase(name)
@@ -73,12 +73,12 @@
     /**
      * Configure a GSL histogram with uniform bins, with optional
      * under/over-flow bins.
-     * \param [in,out] h The GSL histogram to configure.
-     * \param [in] start The minimum value of the lowest bin.
-     * \param [in] end The maximum value of the last bin.
-     * \param [in] underflow If \c true the lowest bin should contain the underflow,
-     * \param [in] overflow If \c true the highest bin should contain the overflow.
-     * \returns A vector of the bin edges, including the top of the highest bin.
+     * @param [in,out] h The GSL histogram to configure.
+     * @param [in] start The minimum value of the lowest bin.
+     * @param [in] end The maximum value of the last bin.
+     * @param [in] underflow If \c true the lowest bin should contain the underflow,
+     * @param [in] overflow If \c true the highest bin should contain the overflow.
+     * @returns A vector of the bin edges, including the top of the highest bin.
      * This vector has one more entry than the number of bins in the histogram.
      */
     std::vector<double> UniformHistogramBins(gsl_histogram* h,
@@ -114,8 +114,8 @@
 
     /**
      * Compute the average of a random variable.
-     * \param [in] rng The random variable to sample.
-     * \returns The average of \c N_MEASUREMENTS samples.
+     * @param [in] rng The random variable to sample.
+     * @returns The average of \c N_MEASUREMENTS samples.
      */
     double Average(Ptr<RandomVariableStream> rng) const
     {
@@ -132,9 +132,9 @@
 
     /**
      * Compute the variance of a random variable.
-     * \param [in] rng The random variable to sample.
-     * \param [in] average The previously calculated average value.
-     * \returns The variance of \c N_MEASUREMENTS samples.
+     * @param [in] rng The random variable to sample.
+     * @param [in] average The previously calculated average value.
+     * @returns The variance of \c N_MEASUREMENTS samples.
      */
     double Variance(Ptr<RandomVariableStream> rng, double average) const
     {
@@ -155,7 +155,7 @@
       public:
         /**
          * Create a new instance of a random variable stream
-         * \returns The new random variable stream instance.
+         * @returns The new random variable stream instance.
          */
         virtual Ptr<RandomVariableStream> Create() const = 0;
     };
@@ -163,7 +163,7 @@
     /**
      * Factory class to create new instances of a particular random variable stream.
      *
-     * \tparam RNG The type of random variable generator to create.
+     * @tparam RNG The type of random variable generator to create.
      */
     template <typename RNG>
     class RngGenerator : public RngGeneratorBase
@@ -171,7 +171,7 @@
       public:
         /**
          * Constructor.
-         * \param [in] anti Create antithetic streams if \c true.
+         * @param [in] anti Create antithetic streams if \c true.
          */
         RngGenerator(bool anti = false)
             : m_anti(anti)
@@ -201,10 +201,10 @@
      * The random variable is sampled \c N_MEASUREMENTS times, filling
      * a histogram. The chi square value is formed by comparing to the
      * expected distribution.
-     * \param [in,out] h The histogram, which defines the binning for sampling.
-     * \param [in] expected The expected distribution.
-     * \param [in] rng The random variable to sample.
-     * \returns The chi square value.
+     * @param [in,out] h The histogram, which defines the binning for sampling.
+     * @param [in] expected The expected distribution.
+     * @param [in] rng The random variable to sample.
+     * @returns The chi square value.
      */
     double ChiSquared(gsl_histogram* h,
                       const std::vector<double>& expected,
@@ -263,8 +263,8 @@
      *      return chiSquared;
      *    }
      *
-     * \param [in] rng The random number generator to test.
-     * \returns The chi squared value.
+     * @param [in] rng The random number generator to test.
+     * @returns The chi squared value.
      */
     virtual double ChiSquaredTest(Ptr<RandomVariableStream> rng) const
     {
@@ -274,10 +274,10 @@
     /**
      * Average the chi squared value over some number of runs,
      * each run with a new instance of the random number generator.
-     * \param [in] generator The factory to create instances of the
+     * @param [in] generator The factory to create instances of the
      *             random number generator.
-     * \param [in] nRuns The number of runs to average over.
-     * \returns The average chi square over the number of runs.
+     * @param [in] nRuns The number of runs to average over.
+     * @returns The average chi square over the number of runs.
      */
     double ChiSquaredsAverage(const RngGeneratorBase* generator, std::size_t nRuns) const
     {
@@ -355,7 +355,7 @@
 }; // class TestCaseBase
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for uniform distribution random variable stream generator.
  */
 class UniformTestCase : public TestCaseBase
@@ -477,7 +477,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic uniform distribution random variable stream generator
  */
 class UniformAntitheticTestCase : public TestCaseBase
@@ -552,7 +552,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for constant random variable stream generator
  */
 class ConstantTestCase : public TestCaseBase
@@ -603,7 +603,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for sequential random variable stream generator
  */
 class SequentialTestCase : public TestCaseBase
@@ -660,7 +660,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for normal distribution random variable stream generator
  */
 class NormalTestCase : public TestCaseBase
@@ -746,7 +746,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic normal distribution random variable stream generator
  */
 class NormalAntitheticTestCase : public TestCaseBase
@@ -834,7 +834,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for exponential distribution random variable stream generator
  */
 class ExponentialTestCase : public TestCaseBase
@@ -915,7 +915,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic exponential distribution random variable stream generator
  */
 class ExponentialAntitheticTestCase : public TestCaseBase
@@ -999,7 +999,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for Pareto distribution random variable stream generator
  */
 class ParetoTestCase : public TestCaseBase
@@ -1092,7 +1092,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic Pareto distribution random variable stream generator
  */
 class ParetoAntitheticTestCase : public TestCaseBase
@@ -1189,7 +1189,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for Weibull distribution random variable stream generator
  */
 class WeibullTestCase : public TestCaseBase
@@ -1302,7 +1302,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic Weibull distribution random variable stream generator
  */
 class WeibullAntitheticTestCase : public TestCaseBase
@@ -1413,7 +1413,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for log-normal distribution random variable stream generator
  */
 class LogNormalTestCase : public TestCaseBase
@@ -1503,7 +1503,7 @@
     // Test that values have approximately the right mean value.
     //
     /**
-     * \todo This test fails sometimes if the required tolerance is less
+     * @todo This test fails sometimes if the required tolerance is less
      * than 3%, which may be because there is a bug in the
      * implementation or that the mean of this distribution is more
      * sensitive to its parameters than the others are.
@@ -1515,7 +1515,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic log-normal distribution random variable stream generator
  */
 class LogNormalAntitheticTestCase : public TestCaseBase
@@ -1607,7 +1607,7 @@
     // Test that values have approximately the right mean value.
     //
     /**
-     * \todo This test fails sometimes if the required tolerance is less
+     * @todo This test fails sometimes if the required tolerance is less
      * than 3%, which may be because there is a bug in the
      * implementation or that the mean of this distribution is more
      * sensitive to its parameters than the others are.
@@ -1619,7 +1619,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for gamma distribution random variable stream generator
  */
 class GammaTestCase : public TestCaseBase
@@ -1711,7 +1711,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic gamma distribution random variable stream generator
  */
 class GammaAntitheticTestCase : public TestCaseBase
@@ -1807,7 +1807,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for Erlang distribution random variable stream generator
  */
 class ErlangTestCase : public TestCaseBase
@@ -1902,7 +1902,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic Erlang distribution random variable stream generator
  */
 class ErlangAntitheticTestCase : public TestCaseBase
@@ -2001,7 +2001,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for Zipf distribution random variable stream generator
  */
 class ZipfTestCase : public TestCaseBase
@@ -2081,7 +2081,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic Zipf distribution random variable stream generator
  */
 class ZipfAntitheticTestCase : public TestCaseBase
@@ -2164,7 +2164,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for Zeta distribution random variable stream generator
  */
 class ZetaTestCase : public TestCaseBase
@@ -2227,7 +2227,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic Zeta distribution random variable stream generator
  */
 class ZetaAntitheticTestCase : public TestCaseBase
@@ -2293,7 +2293,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for deterministic random variable stream generator
  */
 class DeterministicTestCase : public TestCaseBase
@@ -2368,7 +2368,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for empirical distribution random variable stream generator
  */
 class EmpiricalTestCase : public TestCaseBase
@@ -2468,7 +2468,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic empirical distribution random variable stream generator
  */
 class EmpiricalAntitheticTestCase : public TestCaseBase
@@ -2547,7 +2547,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for caching of Normal RV parameters (see issue #302)
  */
 class NormalCachingTestCase : public TestCaseBase
@@ -2581,7 +2581,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for bernoulli distribution random variable stream generator
  */
 class BernoulliTestCase : public TestCaseBase
@@ -2652,7 +2652,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic bernoulli distribution random variable stream generator
  */
 class BernoulliAntitheticTestCase : public TestCaseBase
@@ -2726,7 +2726,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for binomial distribution random variable stream generator
  */
 class BinomialTestCase : public TestCaseBase
@@ -2805,7 +2805,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for antithetic binomial distribution random variable stream generator
  */
 class BinomialAntitheticTestCase : public TestCaseBase
@@ -2887,10 +2887,10 @@
 }
 
 /**
- * \ingroup rng-test
- * \ingroup tests
+ * @ingroup rng-test
+ * @ingroup tests
  *
- * \brief Test the Shuffle function
+ * @brief Test the Shuffle function
  *
  * Check that the Shuffle function actually shuffles the elements and does so in a portable way.
  */
@@ -2952,7 +2952,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for laplacian distribution random variable stream generator
  */
 class LaplacianTestCase : public TestCaseBase
@@ -3032,7 +3032,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for largest extreme value distribution random variable stream generator
  */
 class LargestExtremeValueTestCase : public TestCaseBase
@@ -3088,7 +3088,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * RandomVariableStream test suite, covering all random number variable
  * stream generator types.
  */
@@ -3115,14 +3115,14 @@
     AddTestCase(new WeibullTestCase);
     AddTestCase(new WeibullAntitheticTestCase);
     AddTestCase(new LogNormalTestCase);
-    /// \todo This test is currently disabled because it fails sometimes.
+    /// @todo This test is currently disabled because it fails sometimes.
     /// A possible reason for the failure is that the antithetic code is
     /// not implemented properly for this log-normal case.
     /*
     AddTestCase (new LogNormalAntitheticTestCase);
     */
     AddTestCase(new GammaTestCase);
-    /// \todo This test is currently disabled because it fails sometimes.
+    /// @todo This test is currently disabled because it fails sometimes.
     /// A possible reason for the failure is that the antithetic code is
     /// not implemented properly for this gamma case.
     /*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/rng-test-suite.cc ns-3.44/src/core/test/rng-test-suite.cc
--- ns-3.43/src/core/test/rng-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/rng-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -16,24 +16,24 @@
 using namespace ns3;
 
 /**
- * \file
- * \ingroup rng-tests
+ * @file
+ * @ingroup rng-tests
  * Random number generators tests.
  */
 
 /**
- * \ingroup core-tests
- * \defgroup rng-tests Random number generators tests
+ * @ingroup core-tests
+ * @defgroup rng-tests Random number generators tests
  */
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  *
  * Fill an array with increasing values, in the [start, end] range.
- * \param array The array to fill.
- * \param n The size of the array.
- * \param start The start value.
- * \param end The end value.
+ * @param array The array to fill.
+ * @param n The size of the array.
+ * @param start The start value.
+ * @param end The end value.
  */
 void
 FillHistoRangeUniformly(double* array, uint32_t n, double start, double end)
@@ -49,7 +49,7 @@
 }
 
 /**
- * \ingroup core-tests
+ * @ingroup core-tests
  *
  * Test case for uniform distribution random number generator.
  */
@@ -68,8 +68,8 @@
 
     /**
      * Run a chi-squared test on the results of the random number generator.
-     * \param u The random number generator.
-     * \return the chi-squared test result.
+     * @param u The random number generator.
+     * @return the chi-squared test result.
      */
     double ChiSquaredTest(Ptr<UniformRandomVariable> u);
 
@@ -142,7 +142,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  *
  * Test case for normal distribution random number generator.
  */
@@ -161,8 +161,8 @@
 
     /**
      * Run a chi-squared test on the results of the random number generator.
-     * \param n The random number generator.
-     * \return the chi-squared test result.
+     * @param n The random number generator.
+     * @return the chi-squared test result.
      */
     double ChiSquaredTest(Ptr<NormalRandomVariable> n);
 
@@ -249,7 +249,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  *
  * Test case for exponential distribution random number generator.
  */
@@ -268,8 +268,8 @@
 
     /**
      * Run a chi-squared test on the results of the random number generator.
-     * \param n The random number generator.
-     * \return the chi-squared test result.
+     * @param n The random number generator.
+     * @return the chi-squared test result.
      */
     double ChiSquaredTest(Ptr<ExponentialRandomVariable> n);
 
@@ -355,7 +355,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  *
  * Test case for pareto distribution random number generator.
  */
@@ -374,8 +374,8 @@
 
     /**
      * Run a chi-squared test on the results of the random number generator.
-     * \param p The random number generator.
-     * \return the chi-squared test result.
+     * @param p The random number generator.
+     * @return the chi-squared test result.
      */
     double ChiSquaredTest(Ptr<ParetoRandomVariable> p);
 
@@ -466,9 +466,9 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  *
- * \brief The random number generators Test Suite.
+ * @brief The random number generators Test Suite.
  */
 class RngTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/sample-test-suite.cc ns-3.44/src/core/test/sample-test-suite.cc
--- ns-3.43/src/core/test/sample-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/sample-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -9,10 +9,10 @@
 #include "ns3/test.h"
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup testing
- * \ingroup testing-example
+ * @file
+ * @ingroup core-tests
+ * @ingroup testing
+ * @ingroup testing-example
  *
  * Example use of TestSuite.
  *
@@ -25,40 +25,40 @@
  *
  * Add it to the groups module-tests and class-tests:
  *
- * \verbatim /// \file
-/// \ingroup module-tests
-/// \ingroup class-tests
+ * @verbatim /// \file
+/// @ingroup module-tests
+/// @ingroup class-tests
 /// Class test suite. \endverbatim
  *
  * Define the class-tests group:
- * \verbatim /// \ingroup module-tests
-/// \defgroup class-tests Class test suite \endverbatim
+ * @verbatim /// \ingroup module-tests
+/// @defgroup class-tests Class test suite \endverbatim
  *
  * Make sure test.h is included:
- * \verbatim #include "ns3/test.h" \endverbatim
+ * @verbatim #include "ns3/test.h" \endverbatim
  *
  * Put the test code in namespace ns3::tests.
- * \verbatim namespace ns3 {
+ * @verbatim namespace ns3 {
   namespace tests { \endverbatim
  *
  * Write your test cases and final test suite, and put them in
  * your test group:
- * \verbatim /// \ingroup class-tests
+ * @verbatim /// \ingroup class-tests
 class ClassTestSuite : public TestSuite {...}; \endverbatim
  *
  * Create a static variable to hold the instance of your test suite:
- * \verbatim /// \ingroup class-tests
+ * @verbatim /// \ingroup class-tests
 /// ClassTestSuite instance variable.
 static ClassTestSuite g_classTestSuite; \endverbatim
  *
  * Finally, close the ingroup and namespace blocks:
- * \verbatim   }  // namespace tests
+ * @verbatim   }  // namespace tests
 }  // namespace ns3 \endverbatim
 */
 
 /**
- * \ingroup core-tests
- * \defgroup testing-example Example use of TestSuite
+ * @ingroup core-tests
+ * @defgroup testing-example Example use of TestSuite
  */
 
 namespace ns3
@@ -68,7 +68,7 @@
 {
 
 /**
- * \ingroup testing-example
+ * @ingroup testing-example
  * This is an example TestCase.
  */
 class SampleTestCase1 : public TestCase
@@ -111,7 +111,7 @@
 }
 
 /**
- * \ingroup testing-example
+ * @ingroup testing-example
  * The TestSuite class names the TestSuite, identifies what type of TestSuite,
  * and enables the TestCases to be run.  Typically, only the constructor for
  * this class must be defined
@@ -131,7 +131,7 @@
 
 // Do not forget to allocate an instance of this TestSuite
 /**
- * \ingroup testing-example
+ * @ingroup testing-example
  * SampleTestSuite instance variable.
  */
 static SampleTestSuite g_sampleTestSuite;
